Create New Role
1 min
POST
https://api.upstartcommerce.com/v1/user/auth/role
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject<p>The request must contain the JSON-formatted set of properties for the new role.</p>
201<p>Success-role created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
409Conflict. A role with the given name already exists in this tenant.
500Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.
curl --request POST \
--url https://api.upstartcommerce.com/v1/user/auth/role \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"tenant": "",
"siteIds": [],
"name": ""
}'